%global libwebp_sover 4

#disable debuginfo, this package does not contain arched output, but needs to
#be arched to work properly with multilibbed libwebp
%global debug_package %{nil}

Name:           python-webm
Version:        0.2.2
Release:        2%{?dist}
Summary:        Python wrapper to WebM libraries

License:        BSD
URL:            https://code.google.com/p/python-webm/
Source0:        https://python-webm.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-nose
BuildRequires:  libwebp
BuildRequires:  python-imaging

%if %{__isa_bits} == 64
Requires:       libwebp.so.%{libwebp_sover}()(64bit)
%else
Requires:       libwebp.so.%{libwebp_sover}
%endif

Requires:       python-imaging

%description
The python-webm package is an interface to the WebM video/image codec. The 
interface uses ctypes to call the libvpx/libwebm Google libraries installed in 
the system. At the moment only the libwebm library is wrapped and with some
limitations.

%prep
%setup -qn %{name}

#use the right library
sed -i 's/libwebp\.so\.0/libwebp\.so\.%{libwebp_sover}/' webm/__init__.py

%build
#nothing to do

%install
mkdir -p %{buildroot}%{python_sitearch}/webm
cp -p webm/*.py %{buildroot}%{python_sitearch}/webm

%check
nosetests -sxv
 
%files
%{python_sitearch}/webm
%doc README

%changelog
* Mon May 06 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-2
- fix up dependency on libwebp (package became arched as a result)
- fix License tag
- explicitly list python version in BuildRequires
- be more verbose when running tests

* Thu Apr 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-1
- initial package

